

/* ---------------------------------------------------------------------
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.  

   Copyright (c) 2001-2002 by Michal Ociepka <armadillo@wp.pl>

   For more info:
   http://xdefactor.republika.pl
   --------------------------------------------------------------------- */


#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <string.h>
#include <stdio.h>
#include <gtk/gtk.h>
#include <gdk/gdk.h>
#include <postgresql/libpq-fe.h>
#include "callbacks.h"
#include "message.h"
//#include "message.c"
#include "libfix5.h"

void promocja(GtkWidget *window1, GtkWidget *fixed1){

  GtkWidget *entry1;
  GtkWidget *entry2;
  GtkWidget *entry3;
  GtkWidget *label3;
  GtkWidget *label1;
  GtkWidget *entry4;
  GtkWidget *label5;
  GtkWidget *label4;
  GtkWidget *label2;
  GtkWidget *button1;
  GtkWidget *button2;
  GtkWidget *button3;
  GtkWidget *hseparator2;
  GtkWidget *button4;
  GtkWidget *hseparator1;
  GtkWidget *scrolledwindow1;
  GtkWidget *clist1;
  GtkWidget *label13;
  GtkWidget *label14;
  GtkWidget *label15;
  GtkWidget *label16;
  GtkWidget *label17;
  GtkWidget *label18;
  GtkWidget *label19;

  entry1 = gtk_entry_new ();
  gtk_widget_ref (entry1);
  gtk_object_set_data_full (GTK_OBJECT (window1), "entry1", entry1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (entry1);
  gtk_fixed_put (GTK_FIXED (fixed1), entry1, 152, 32);
  gtk_widget_set_uposition (entry1, 152, 32);
  gtk_widget_set_usize (entry1, 152, 24);

  entry2 = gtk_entry_new ();
  gtk_widget_ref (entry2);
  gtk_object_set_data_full (GTK_OBJECT (window1), "entry2", entry2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (entry2);
  gtk_fixed_put (GTK_FIXED (fixed1), entry2, 152, 72);
  gtk_widget_set_uposition (entry2, 152, 72);
  gtk_widget_set_usize (entry2, 152, 24);

  entry3 = gtk_entry_new ();
  gtk_widget_ref (entry3);
  gtk_object_set_data_full (GTK_OBJECT (window1), "entry3", entry3,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (entry3);
  gtk_fixed_put (GTK_FIXED (fixed1), entry3, 368, 72);
  gtk_widget_set_uposition (entry3, 368, 72);
  gtk_widget_set_usize (entry3, 152, 24);

  label3 = gtk_label_new (("do :"));
  gtk_widget_ref (label3);
  gtk_object_set_data_full (GTK_OBJECT (window1), "label3", label3,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label3);
  gtk_fixed_put (GTK_FIXED (fixed1), label3, 312, 72);
  gtk_widget_set_uposition (label3, 312, 72);
  gtk_widget_set_usize (label3, 48, 24);

  label1 = gtk_label_new (("Podaj ID towaru : "));
  gtk_widget_ref (label1);
  gtk_object_set_data_full (GTK_OBJECT (window1), "label1", label1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label1);
  gtk_fixed_put (GTK_FIXED (fixed1), label1, 24, 32);
  gtk_widget_set_uposition (label1, 24, 32);
  gtk_widget_set_usize (label1, 136, 32);

  entry4 = gtk_entry_new ();
  gtk_widget_ref (entry4);
  gtk_object_set_data_full (GTK_OBJECT (window1), "entry4", entry4,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (entry4);
  gtk_fixed_put (GTK_FIXED (fixed1), entry4, 152, 112);
  gtk_widget_set_uposition (entry4, 152, 112);
  gtk_widget_set_usize (entry4, 120, 24);

  label5 = gtk_label_new (("z"));
  gtk_widget_ref (label5);
  gtk_object_set_data_full (GTK_OBJECT (window1), "label5", label5,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label5);
  gtk_fixed_put (GTK_FIXED (fixed1), label5, 272, 112);
  gtk_widget_set_uposition (label5, 272, 112);
  gtk_widget_set_usize (label5, 34, 24);

  label4 = gtk_label_new (("Cena promocyjna :"));
  gtk_widget_ref (label4);
  gtk_object_set_data_full (GTK_OBJECT (window1), "label4", label4,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label4);
  gtk_fixed_put (GTK_FIXED (fixed1), label4, 24, 112);
  gtk_widget_set_uposition (label4, 24, 112);
  gtk_widget_set_usize (label4, 136, 24);

  label2 = gtk_label_new (("Promocja od :"));
  gtk_widget_ref (label2);
  gtk_object_set_data_full (GTK_OBJECT (window1), "label2", label2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label2);
  gtk_fixed_put (GTK_FIXED (fixed1), label2, 16, 72);
  gtk_widget_set_uposition (label2, 16, 72);
  gtk_widget_set_usize (label2, 128, 24);

  button1 = gtk_button_new_with_label (("Dodaj promocj"));
  gtk_widget_ref (button1);
  gtk_object_set_data_full (GTK_OBJECT (window1), "button1", button1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (button1);
  gtk_fixed_put (GTK_FIXED (fixed1), button1, 32, 168);
  gtk_widget_set_uposition (button1, 32, 168);
  gtk_widget_set_usize (button1, 168, 48);

  gtk_signal_connect(GTK_OBJECT(button1), "clicked", dodaj_promocje, NULL);

  button2 = gtk_button_new_with_label (("Usu promocj"));
  gtk_widget_ref (button2);
  gtk_object_set_data_full (GTK_OBJECT (window1), "button2", button2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (button2);
  gtk_fixed_put (GTK_FIXED (fixed1), button2, 400, 168);
  gtk_widget_set_uposition (button2, 400, 168);
  gtk_widget_set_usize (button2, 168, 48);
  gtk_signal_connect(GTK_OBJECT(button2), "clicked",GTK_SIGNAL_FUNC(usun_promocje), NULL);

  button3 = gtk_button_new_with_label (("Zmie promocj"));
  gtk_widget_ref (button3);
  gtk_object_set_data_full (GTK_OBJECT (window1), "button3", button3,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (button3);
  gtk_fixed_put (GTK_FIXED (fixed1), button3, 216, 184);
  gtk_widget_set_uposition (button3, 216, 184);
  gtk_widget_set_usize (button3, 168, 48);

  gtk_object_set_data(GTK_OBJECT(button3), "entry1", entry1);
  gtk_object_set_data(GTK_OBJECT(button3), "entry2", entry2);
  gtk_object_set_data(GTK_OBJECT(button3), "entry3", entry3);
  gtk_object_set_data(GTK_OBJECT(button3), "entry4", entry4);

  gtk_signal_connect(GTK_OBJECT(button3), "clicked",GTK_SIGNAL_FUNC(uaktualnij_promocje), NULL);

  hseparator2 = gtk_hseparator_new ();
  gtk_widget_ref (hseparator2);
  gtk_object_set_data_full (GTK_OBJECT (window1), "hseparator2", hseparator2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hseparator2);
  gtk_fixed_put (GTK_FIXED (fixed1), hseparator2, 24, 144);
  gtk_widget_set_uposition (hseparator2, 24, 144);
  gtk_widget_set_usize (hseparator2, 552, 16);

  button4 = gtk_button_new_with_label (("Poka promocje"));
  gtk_widget_ref (button4);
  gtk_object_set_data_full (GTK_OBJECT (window1), "button4", button4,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (button4);
  gtk_fixed_put (GTK_FIXED (fixed1), button4, 408, 448);
  gtk_widget_set_uposition (button4, 408, 448);
  gtk_widget_set_usize (button4, 168, 48);


  hseparator1 = gtk_hseparator_new ();
  gtk_widget_ref (hseparator1);
  gtk_object_set_data_full (GTK_OBJECT (window1), "hseparator1", hseparator1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hseparator1);
  gtk_fixed_put (GTK_FIXED (fixed1), hseparator1, 24, 248);
  gtk_widget_set_uposition (hseparator1, 24, 248);
  gtk_widget_set_usize (hseparator1, 552, 16);

  scrolledwindow1 = gtk_scrolled_window_new (NULL, NULL);
  gtk_widget_ref (scrolledwindow1);
  gtk_object_set_data_full (GTK_OBJECT (window1), "scrolledwindow1", scrolledwindow1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (scrolledwindow1);
  gtk_fixed_put (GTK_FIXED (fixed1), scrolledwindow1, 24, 280);
  gtk_widget_set_uposition (scrolledwindow1, 24, 280);
  gtk_widget_set_usize (scrolledwindow1, 552, 152);

  clist1 = gtk_clist_new (7);
  gtk_widget_ref (clist1);
  gtk_object_set_data_full (GTK_OBJECT (window1), "clist1", clist1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (clist1);
  gtk_container_add (GTK_CONTAINER (scrolledwindow1), clist1);
  gtk_widget_set_usize (clist1, 552, 152);
  gtk_clist_set_column_width (GTK_CLIST (clist1), 0, 50);
  gtk_clist_set_column_width (GTK_CLIST (clist1), 1, 96);
  gtk_clist_set_column_width (GTK_CLIST (clist1), 2, 39);
  gtk_clist_set_column_width (GTK_CLIST (clist1), 3, 54);
  gtk_clist_set_column_width (GTK_CLIST (clist1), 4, 66);
  gtk_clist_set_column_width (GTK_CLIST (clist1), 5, 83);
  gtk_clist_set_column_width (GTK_CLIST (clist1), 6, 80);
  gtk_clist_column_titles_show (GTK_CLIST (clist1));
  gtk_signal_connect(GTK_OBJECT(clist1), "select_row", GTK_SIGNAL_FUNC(get_promo), NULL);

  label13 = gtk_label_new (("ID prom."));
  gtk_widget_ref (label13);
  gtk_object_set_data_full (GTK_OBJECT (window1), "label13", label13,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label13);
  gtk_clist_set_column_widget (GTK_CLIST (clist1), 0, label13);

  label14 = gtk_label_new (("Nazwa towaru"));
  gtk_widget_ref (label14);
  gtk_object_set_data_full (GTK_OBJECT (window1), "label14", label14,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label14);
  gtk_clist_set_column_widget (GTK_CLIST (clist1), 1, label14);

  label15 = gtk_label_new (("ID tow."));
  gtk_widget_ref (label15);
  gtk_object_set_data_full (GTK_OBJECT (window1), "label15", label15,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label15);
  gtk_clist_set_column_widget (GTK_CLIST (clist1), 2, label15);

  label16 = gtk_label_new (("Cena "));
  gtk_widget_ref (label16);
  gtk_object_set_data_full (GTK_OBJECT (window1), "label16", label16,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label16);
  gtk_clist_set_column_widget (GTK_CLIST (clist1), 3, label16);

  label17 = gtk_label_new (("Cena prom."));
  gtk_widget_ref (label17);
  gtk_object_set_data_full (GTK_OBJECT (window1), "label17", label17,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label17);
  gtk_clist_set_column_widget (GTK_CLIST (clist1), 4, label17);

  label18 = gtk_label_new (("Od"));
  gtk_widget_ref (label18);
  gtk_object_set_data_full (GTK_OBJECT (window1), "label18", label18,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label18);
  gtk_clist_set_column_widget (GTK_CLIST (clist1), 5, label18);

  label19 = gtk_label_new (("Do"));
  gtk_widget_ref (label19);
  gtk_object_set_data_full (GTK_OBJECT (window1), "label19", label19,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label19);
  gtk_clist_set_column_widget (GTK_CLIST (clist1), 6, label19);
//sygnaly 
  gtk_signal_connect_object(GTK_OBJECT(button4), "clicked", GTK_SIGNAL_FUNC(aktualizuj_promocje), (gpointer) clist1);
// po kazdej operacji na promocjach uaktualnij o nich dane
  gtk_signal_connect_object(GTK_OBJECT(button1), "clicked", GTK_SIGNAL_FUNC(aktualizuj_promocje), (gpointer) clist1);
  gtk_signal_connect_object(GTK_OBJECT(button2), "clicked", GTK_SIGNAL_FUNC(aktualizuj_promocje), (gpointer) clist1);
  gtk_signal_connect_object(GTK_OBJECT(button3), "clicked", GTK_SIGNAL_FUNC(aktualizuj_promocje), (gpointer) clist1);

  gtk_object_set_data(GTK_OBJECT(button1), "entry1", entry1); 
  gtk_object_set_data(GTK_OBJECT(button1), "entry2", entry2); 
  gtk_object_set_data(GTK_OBJECT(button1), "entry3", entry3); 
  gtk_object_set_data(GTK_OBJECT(button1), "entry4", entry4); 
}

